Download it now!
Bug 128441 - Crash in: mergedlo.dll (nvidia with device 0x2182 + Win10)
Summary: Crash in: mergedlo.dll (nvidia with device 0x2182 + Win10)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Julien Nabet
URL:
Whiteboard: target:6.4.0 target:6.3.4
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-28 21:49 UTC by John Seager
Modified: 2019-11-05 00:54 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["mergedlo.dll"]


Attachments
This document does not display correctly in LibOffice Writer. Selecting OpenGL and retrying crashed LibOffice. (91.61 KB, application/zip)
2019-10-28 21:49 UTC, John Seager
Details
comparison MSO 2010 and LibreOffice 6.4 Master (128.02 KB, image/png)
2019-10-29 09:09 UTC, Xisco Faulí
Details
device log as requested (318 bytes, text/plain)
2019-10-29 13:58 UTC, John Seager
Details

Note You need to log in before you can comment on or make changes to this bug.
Description John Seager 2019-10-28 21:49:01 UTC
Created attachment 155376 [details]
This document does not display correctly in LibOffice Writer. Selecting OpenGL and retrying crashed LibOffice.

This bug was filed from the crash reporting server and is br-1ba178fc-43ce-44a5-9c3c-dbb3c918bb0b.
=========================================
Comment 1 Julien Nabet 2019-10-29 06:04:03 UTC
Could you apply what this page indicates?
https://wiki.documentfoundation.org/QA/FirstSteps
(above all OpenGL part)
Comment 2 Xisco Faulí 2019-10-29 09:09:45 UTC
Created attachment 155387 [details]
comparison MSO 2010 and LibreOffice 6.4 Master
Comment 3 John Seager 2019-10-29 09:40:16 UTC
Comment on attachment 155387 [details]
comparison MSO 2010 and LibreOffice 6.4 Master

Yes, exactly what I'm seeing!  I have reverted to my original settings by disabling OpenGL, and LibreOffice doesn't crash now.  I'm back to seeing the images as in your attachment.  If I want to see the correctly rendered image I have to view it in MSO (on my wife's computer) and save it as a PDF to use on my computer.
Comment 4 John Seager 2019-10-29 09:42:03 UTC
(In reply to Julien Nabet from comment #1)
> Could you apply what this page indicates?
> https://wiki.documentfoundation.org/QA/FirstSteps
> (above all OpenGL part)

I have disabled OpenGL which stops LibreOffice from crashing, and I'm back to seeing the incorrectly rendered image.
Comment 5 John Seager 2019-10-29 09:42:53 UTC
Should the status now be 'confirmed'?
Comment 6 Julien Nabet 2019-10-29 11:25:12 UTC
John: no you can't confirm yourself a bug.

What about graphic driver version? Did you check graphic driver was up-to-date?

If it's the case, provide <user profile>/cache/opengl_device.log since you don't reproduce this when you disable OpenGL.
If it's not the case, update, rename your LO directory profile and give a new try.
Comment 7 John Seager 2019-10-29 13:58:20 UTC
Created attachment 155395 [details]
device log as requested
Comment 8 John Seager 2019-10-29 14:03:00 UTC
The graphics drivers are up to date.  It worries me more that LibreOffice doesn't display MSO drawings correctly - xisco fali's attachment shows what I'm seeing.  If I can add anything to help you more, please let me know
Comment 9 Julien Nabet 2019-11-01 16:31:59 UTC
There are 2 bugs here:
1) Opengl part which crashes with LO
Xisco: Should we blacklist nvidia with device 0x2182 + Win10 ?
(with always the same question, perhaps a next driver version will fix it or Opengl part will be fixed in LO, how to know we may remove this blacklist issue then?)

2) the wrong rendering when OpenGl is disabled
I think a new bugtracker should be opened about this.
Comment 10 Xisco Faulí 2019-11-02 17:17:18 UTC
(In reply to Julien Nabet from comment #9)
> There are 2 bugs here:
> 1) Opengl part which crashes with LO
> Xisco: Should we blacklist nvidia with device 0x2182 + Win10 ?
> (with always the same question, perhaps a next driver version will fix it or
> Opengl part will be fixed in LO, how to know we may remove this blacklist
> issue then?)

Sure, good idea!
Comment 11 Julien Nabet 2019-11-02 17:35:44 UTC
(In reply to Xisco Faulí from comment #10)
> ...
> Sure, good idea!

Thank you for your feedback.
Here's the patch:
https://gerrit.libreoffice.org/#/c/81943/

John: could you create a new bugtracker about wrong rendering with OpenGL disabled?
Comment 12 John Seager 2019-11-02 19:38:40 UTC
Julien I will try and do that (bug reporting is quite new to me) - my original bug report was about incorrect rendering but didn't mention OpenCL specifically. Do you need me to re-submit the MSO file too?
Comment 13 Julien Nabet 2019-11-02 20:00:28 UTC
(In reply to John Seager from comment #12)
> Julien I will try and do that (bug reporting is quite new to me) - my
> original bug report was about incorrect rendering but didn't mention OpenCL
> specifically. Do you need me to re-submit the MSO file too?

The title of the bugtracker is "Crash in: mergedlo.dll" so for me the original or at least the main pb is the crash.
Now we have a workaround about the crash, you can submit a new bugtracker.

To do this, use this link:
https://bugs.documentfoundation.org/enter_bug.cgi

Yes, you should attach the same file.

BTW, "OpenGL" and "OpenCL" are different elements.
- https://en.wikipedia.org/wiki/OpenGL
- https://en.wikipedia.org/wiki/OpenCL
Comment 14 Commit Notification 2019-11-02 20:01:26 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/ed94101d8c399f6de2e2b9b7cd31dd6b68d269a8

tdf#128441: blacklist nvidia on Win10 deviceid 0x2182

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Julien Nabet 2019-11-02 20:13:32 UTC
For 6.3, patch is waiting for review here:
https://gerrit.libreoffice.org/#/c/81948/
Comment 16 John Seager 2019-11-02 21:24:21 UTC
(In reply to Julien Nabet from comment #13)
> (In reply to John Seager from comment #12)
> > Julien I will try and do that (bug reporting is quite new to me) - my
> > original bug report was about incorrect rendering but didn't mention OpenCL
> > specifically. Do you need me to re-submit the MSO file too?
> 
> The title of the bugtracker is "Crash in: mergedlo.dll" so for me the
> original or at least the main pb is the crash.
> Now we have a workaround about the crash, you can submit a new bugtracker.
> 
> To do this, use this link:
> https://bugs.documentfoundation.org/enter_bug.cgi
> 
> Yes, you should attach the same file.
> 
> BTW, "OpenGL" and "OpenCL" are different elements.
> - https://en.wikipedia.org/wiki/OpenGL
> - https://en.wikipedia.org/wiki/OpenCL

Thanks Julien, I will follow the bugtracker link.  I know OpenGL and OpenCL are different, I had looked on Wikipedia earlier today ;-)  What I hadn't tried was opening the MSO document with both OpenCl and OpenGL disabled.  Now I have, and it makes no difference to rendering and doesn't crash LO. Should I try LO 6.4 alpha - does it have your patch?
Comment 17 Julien Nabet 2019-11-02 22:09:51 UTC
> ...
> Thanks Julien, I will follow the bugtracker link.  I know OpenGL and OpenCL
> are different, I had looked on Wikipedia earlier today ;-)  What I hadn't
> tried was opening the MSO document with both OpenCl and OpenGL disabled. 
> Now I have, and it makes no difference to rendering and doesn't crash LO.
> Should I try LO 6.4 alpha - does it have your patch?

The patch I submitted will be available in 24/48 hours max in master daily builds (see https://dev-builds.libreoffice.org/daily/master/)
However, it just disables OpenGL by default for those who have same specs as you about graphic card driver/env. So if you already disabled OpenGL yourself, it won't do more, eg it doesn't fix any rendering issue.
Comment 18 Commit Notification 2019-11-03 21:15:01 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/e5898401ef25edc33f4ee6555229d307fa2e3c95

tdf#128441: blacklist nvidia on Win10 deviceid 0x2182

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.